<?php
/**
* @copyright	Copyright (C) 2013 - JoomSpirit. All rights reserved.
*/

defined('_JEXEC') or die('Restricted access');

$path = $this->baseurl.'/templates/'.$this->template;
$bootstrap = $this->params->get('bootstrap');
$bootstrap_js = $this->params->get('bootstrap_js');
$responsive = $this->params->get('responsive');
$column_responsive = $this->params->get('column_responsive');
$menu_tablet = $this->params->get('menu_tablet');
$bg_website = $this->params->get('bg_website');
$uppercase = $this->params->get('uppercase');
$bgcolor_header = $this->params->get('bgcolor_header');
$bgcolor_header_ie = $this->params->get('bgcolor_header_ie');
$transparency_header = $this->params->get('transparency_header');
$bgcolor_content = $this->params->get('bgcolor_content');
$bgcolor_content_ie = $this->params->get('bgcolor_content_ie');
$transparency_content = $this->params->get('transparency_content');
$website_title = $this->params->get('website_title');
$color_website_title = $this->params->get('color_website_title');
$website_slogan = $this->params->get('website_slogan');
$color_slogan = $this->params->get('color_slogan');
$color_text = $this->params->get('color_text');
$main_menu_border = $this->params->get('main_menu_border');
$main_menu_fontsize = $this->params->get('main_menu_fontsize');
$color_main_menu_item = $this->params->get('color_main_menu_item');
$color_main_menu_item_hover = $this->params->get('color_main_menu_item_hover');
$color_main_menu_item_active = $this->params->get('color_main_menu_item_active');
$bgcolor_submenu = $this->params->get('bgcolor_submenu');
$color_submenu_item = $this->params->get('color_submenu_item');
$color_submenu_item_active = $this->params->get('color_submenu_item_active');
$text_menu = $this->params->get('text_menu');
$width_website = $this->params->get('width_website');
$width_left = $this->params->get('width_left');
$width_right = $this->params->get('width_right');
$user1_width = $this->params->get('user1_width');
$user3_width = $this->params->get('user3_width');
$user4_width = $this->params->get('user4_width');
$user6_width = $this->params->get('user6_width');
$button_fullscreen = $this->params->get('button_fullscreen');
$arrow_slide = $this->params->get('arrow_slide');
$colorh1 = $this->params->get('colorh1');
$colorh2 = $this->params->get('colorh2');
$color_link = $this->params->get('color_link');
$color_link_hover = $this->params->get('color_link_hover');
$font_menu = $this->params->get('font_menu');
$font_title = $this->params->get('font_title');
$font_content = $this->params->get('font_content');
$position_social = $this->params->get('position_social');
$color_social_icons = $this->params->get('color_social_icons');
$google1 = $this->params->get('google1');
$responsive = $this->params->get('responsive');
$bg_supersized = $this->params->get('bg_supersized');
$google_code = $this->params->get('google_code');
$scroll_to_top = $this->params->get('scroll_to_top');

$app = JFactory::getApplication();
$menu = $app->getMenu();
$lang = JFactory::getLanguage();
if ($menu->getActive() == $menu->getDefault($lang->getTag())) {
$js='<div class="js-copyright" ><a class="jslink" target="_blank" href="http://www.template-joomspirit.com" >template-joomspirit.com</a></div>';
} else {$js='<div class="js-copyright" ><a class="jslink" target="_blank" href="http://www.template-joomspirit.com" >template-joomspirit.com</a></div>' ;}

/**			for the conversion of hex to rgba 		**/
function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);

   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}

$rgb_header = hex2rgb($bgcolor_header);
$rgba_header = 'rgba('.$rgb_header[0].','.$rgb_header[1].','.$rgb_header[2].','.$transparency_header.')' ;
$rgb_content = hex2rgb($bgcolor_content);
$rgba_content = 'rgba('.$rgb_content[0].','.$rgb_content[1].','.$rgb_content[2].','.$transparency_content.')' ;

if ($this->params->get('fontSize') == '')
{ $fontSize ='0.85em'; }
else { $fontSize = $this->params->get('fontSize'); }

if ($bgcolor_submenu == '') { $bgcolor_submenu = $bgcolor_content ;}

JHtml::_('behavior.framework', true);

$filepath = JURI::root(true).'/templates/'.$this->template;
$doc = JFactory::getDocument();

$doc->addStyleSheet(JURI::root(true).'/templates/system/css/general.css' , 'text/css', 'all');

if ($bootstrap == 'yes') {
	$doc->addStyleSheet($filepath.'/css/bootstrap.css', 'text/css','screen');
	$doc->addStyleSheet($filepath.'/css/overwrite-bootstrap.css', 'text/css','screen');
	}

$doc->addStyleSheet($filepath.'/css/main.css' , 'text/css', 'all');
$doc->addStyleSheet($filepath.'/css/nav.css' , 'text/css', 'all');
$doc->addStyleSheet($filepath.'/css/template.css' , 'text/css', 'all');

if ( $color_text == 'white' ) {
	$doc->addStyleSheet($filepath.'/css/text-white.css' , 'text/css', 'all');
	}

$doc->addStyleSheet($filepath.'/css/print.css' , 'text/css', 'print');

$doc->addStyleSheet($filepath.'/css/dynamic_css.php?font_menu=' . str_replace(" ","%20",$font_menu) .
	'&amp;font_content=' . str_replace(" ","%20",$font_content) .
	'&amp;font_title=' . str_replace(" ","%20",$font_title) .
	'&amp;width_website=' . str_replace("%","%25",$width_website) .
	'&amp;width_left=' . str_replace("%","%25",$width_left) .
	'&amp;width_right=' . str_replace("%","%25",$width_right) .
	'&amp;bgcolor_content='. $bgcolor_content .
	'&amp;bgcolor_submenu='. $bgcolor_submenu .
	'&amp;color_submenu_item='. $color_submenu_item .
	'&amp;color_submenu_item_active='. $color_submenu_item_active .
	'&amp;color_main_menu_item='. $color_main_menu_item .
	'&amp;color_main_menu_item_hover='. $color_main_menu_item_hover .
	'&amp;color_main_menu_item_active='. $color_main_menu_item_active .
	'&amp;colorh1='. $colorh1 .
	'&amp;colorh2='. $colorh2 .
	'&amp;color_link=' . $color_link .
	'&amp;color_link_hover=' . $color_link_hover .
	'&amp;main_menu_fontsize=' . str_replace("%","%25",$main_menu_fontsize) );

if( ($menu_tablet =='yes') && ( strstr($_SERVER['HTTP_USER_AGENT'],'Android') || strstr($_SERVER['HTTP_USER_AGENT'],'iPad') || strstr($_SERVER['HTTP_USER_AGENT'],'webOS') || strstr($_SERVER['HTTP_USER_AGENT'],'iPhone') || strstr($_SERVER['HTTP_USER_AGENT'],'iPod') || strstr($_SERVER['HTTP_USER_AGENT'],'blackberry') || strstr($_SERVER['HTTP_USER_AGENT'],'Windows Phone') || strstr($_SERVER['HTTP_USER_AGENT'],'Palm') || strstr($_SERVER['HTTP_USER_AGENT'],'symbian') )  ) {
	$doc->addStyleSheet($filepath.'/css/menu_mobile.css', 'text/css','screen');
	}

if ($responsive == 'yes') {
    	$doc->addStyleSheet($filepath.'/css/media_queries.css', 'text/css','screen');
	} else {
   		$doc->addStyleSheet($filepath.'/css/media_queries_no_responsive.css', 'text/css','screen');
	}

// load all non standard fonts from Google
$defaultFonts = array('Arial', 'Verdana', 'Trebuchet ms', 'Georgia', 'Times', 'Tahoma');
$allFonts = array($font_content, $font_menu, $font_title);
$googleFonts = array_diff($allFonts, $defaultFonts);
foreach ($googleFonts as $loadFont) {

    $doc->addStyleSheet($filepath.'/css/font-'. $loadFont .'.css');
}

$doc->addStyleSheet($filepath.'/css/custom.css' , 'text/css', 'all');


// isMobile added by Lyr!C (http://www.joomlic.com)
$isMobile = false;
if (isset($_SERVER['HTTP_USER_AGENT']) && (strstr($_SERVER['HTTP_USER_AGENT'], 'iPhone')
	|| strstr($_SERVER['HTTP_USER_AGENT'], 'iPod')
	|| strstr($_SERVER['HTTP_USER_AGENT'], 'blackberry')
	|| strstr($_SERVER['HTTP_USER_AGENT'], 'Windows Phone')
	|| strstr($_SERVER['HTTP_USER_AGENT'], 'Android'))) {
		$isMobile = true;
	}
// End Added
?>

<!doctype html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" style="background-color : #<?php echo $bg_website ; ?> ;" >

<head>

<jdoc:include type="head" />
<?php JFactory::getDocument()->setGenerator(''); ?>		<!-- 	hide the meta tag generator for website security 		-->

<?php if ($responsive == 'yes') : ?>
<meta name="viewport" content="initial-scale=1" />
<?php endif; ?>

<script type="text/javascript">
	if (typeof jQuery === 'undefined') {
	    document.write(unescape("%3Cscript src='<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/lib/js/jquery-1102.js' type='text/javascript'%3E%3C/script%3E"));
    }
</script>
<script type="text/javascript">
	jQuery.noConflict();
</script>

<!--[if lte IE 9]>
<style type="text/css">
	.gradient {
    filter: none;
    }
</style>
<![endif]-->
<!--[if lte IE 8]>
<link rel="stylesheet" href="<?php echo $filepath ?>/css/ie8.css" type="text/css" />
<script type="text/javascript" src="<?php echo $filepath ?>/lib/js/html5.js"></script>
<script type="text/javascript" src="<?php echo $filepath ?>/lib/js/css3-mediaqueries.js"></script>
<?php if ($responsive == 'yes') : ?>
<link rel="stylesheet" type="text/css" href="<?php echo $filepath ?>/css/ie8_responsive.css" media="screen" />
<?php endif; ?>
<![endif]-->
<!--[if lte IE 7]>
	<link rel="stylesheet" href="<?php echo $filepath ?>/css/ie7.css" type="text/css" />

	<style type="text/css">
	.website-content {
	background-color : #<?php if ( $bgcolor_content_ie =='' ) { echo $bgcolor_content ;} else { echo $bgcolor_content_ie ; } ?> !important;
	}
	</style>

	<?php if ($responsive == 'yes') : ?>
	<link rel="stylesheet" type="text/css" href="<?php echo $filepath ?>/css/ie7_responsive.css" media="screen" />
	<?php endif; ?>
<![endif]-->

<!--	supersized	-->
<?php if( ($this->countModules('supersized')) && (! $this->countModules('video')) ) : ?>
	<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/lib/js/jquery.easing.min.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/lib/js/supersized.3.2.1.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/lib/js/theme/supersized.shutter.js"></script>
	<script type="text/javascript">
		<jdoc:include type="modules" name="supersized" style="joomspirit" />
	</script>

	<?php if( $button_fullscreen == '1' ): ?>
	<script type="text/javascript">
		window.addEvent('domready', function() {

			jQuery.noConflict();

		jQuery('#close-button-js').click(function(){

			jQuery('#nextslide').toggleClass('hide_function');
			jQuery('#prevslide').toggleClass('hide_function');

		});

		jQuery('#open-button-js').click(function(){

			jQuery('#nextslide').toggleClass('hide_function');
			jQuery('#prevslide').toggleClass('hide_function');

		});

		});
	</script>
	<?php endif; ?>

<?php endif; ?>

<?php if( $button_fullscreen == '1' && ( ($this->countModules('supersized')) || ($this->countModules('video')) ) ): ?>
	<script type="text/javascript">
		window.addEvent('domready', function() {

			jQuery.noConflict();

		jQuery('#close-button-js').click(function(){

			jQuery('.wrapper-website').animate({width: 'toggle', left:'-=55%'}, 1000);
			jQuery('#close-button-js').toggle(50);
			jQuery('#open-button-js').delay(1000).animate({ width: '24px'}, 1000);
			jQuery('#thumb-tray').toggleClass('hide_function');

		});

		jQuery('#open-button-js').click(function(){

			jQuery('.wrapper-website').animate({width: 'toggle', left:'+=55%'}, 1000);
			jQuery('#close-button-js').toggle(50);
			jQuery('#open-button-js').animate({ width: '0'}, 700);
			jQuery('#thumb-tray').toggleClass('hide_function');

		});

		});
	</script>
<?php endif; ?>

<?php if ($bootstrap_js == 'yes') : ?>
<script src="<?php echo $filepath ?>/lib/js/bootstrap.min.js"></script>
<?php endif; ?>

</head>

<body style="font-size:<?php echo $fontSize ; ?>;"  class=" theme-<?php echo $color_text ; ?> <?php if ($uppercase == 'yes') : ?>text-uppercase<?php endif ; ?> <?php if($this->countModules('no_content')) : ?>no_content<?php endif ; ?>">

	<section class="wrapper-website zindex10">

		<header class="website-header clearfix zindex30" style="background : #<?php if ( $bgcolor_header_ie =='' ) { echo $bgcolor_header ;} else { echo $bgcolor_header_ie ; } ?>;background : <?php echo $rgba_header ; ?>;" >

			<section class="logo-module zindex10" >
			<?php if($this->countModules('logo')) : ?>
				<jdoc:include type="modules" name="logo" style="joomspirit" />
			<?php else : ?>
				<a href="<?php echo $this->baseurl ?>" >
				<span class="website-title " style="color : #<?php echo $color_website_title ; ?>;"><?php echo $website_title ; ?></span>
				</a>
				<?php if ($website_slogan != '' ) : ?><span class="website-slogan " style="color : #<?php echo $color_slogan ; ?>;"><?php echo $website_slogan ; ?></span><?php endif ; ?>
			<?php endif; ?>
			</section>

			<section class="main_menu clearfix zindex30 border-<?php echo $main_menu_border ; ?> <?php echo $position_social ; ?>" >

				<?php if($this->countModules('menu')) : ?>
				<nav id="js_navigation" class=" zindex20 drop-down <?php if( ($position_social == 'social_right') && ( ($google1 == 'yes') || ($this->params->get('twitter') != '') || ($this->params->get('google') != '') || ($this->params->get('blogger') != '') || ($this->params->get('delicious') != '') || ($this->params->get('flickr') != '') || ($this->params->get('facebook') != '') || ($this->params->get('digg') != '') || ($this->params->get('rss') != '') || ($this->params->get('linkedin') != '') || ($this->params->get('myspace') != '') || ($this->params->get('youtube') != '') || ($this->params->get('vimeo') != '') || ($this->params->get('picasa') != '') || ($this->params->get('stumbleupon') != '') || ($this->params->get('technorati') != '') || ($this->params->get('tumblr') != '') || ($this->params->get('yahoo') != '') )) : ?>menu-with-social<?php endif ; ?>" role="navigation" >

					<span class="title_menu">
						<a href="#js_navigation"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/icon-menu.png" alt="" class="icon-menu" /><?php echo $text_menu ; ?></a>
					</span>

					<jdoc:include type="modules" name="menu" style="joomspirit" />

				</nav>
				<?php endif; ?>

				<!--	SOCIAL LINKS	-->
				<?php if( ($google1 == 'yes') || ($this->params->get('twitter') != '') || ($this->params->get('google') != '') || ($this->params->get('blogger') != '') || ($this->params->get('delicious') != '') || ($this->params->get('flickr') != '') || ($this->params->get('facebook') != '') || ($this->params->get('digg') != '') || ($this->params->get('rss') != '') || ($this->params->get('linkedin') != '') || ($this->params->get('myspace') != '') || ($this->params->get('youtube') != '') || ($this->params->get('vimeo') != '') || ($this->params->get('picasa') != '') || ($this->params->get('stumbleupon') != '') || ($this->params->get('technorati') != '') || ($this->params->get('tumblr') != '') || ($this->params->get('yahoo') != '') ) : ?>
				<div class="social-links zindex30" >
					<ul >

						<?php if ($google1 == 'yes') : ?>
						<li class="google">
						<div class="g-plusone" data-size="small" data-count="false" ></div>
						</li>
						<?php endif; ?>

						<?php if ($this->params->get('twitter') != '') : ?>
						<li><a target="_blank" class="icon_twitter" title="Twitter" href="<?php echo $this->params->get('twitter') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/twitter-bird3.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('blogger') != '') : ?>
						<li><a target="_blank" class="icon_blogger" title="Blogger" href="<?php echo $this->params->get('blogger') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/blogger.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('delicious') != '') : ?>
						<li><a target="_blank" class="icon_delicious" title="Delicious" href="<?php echo $this->params->get('delicious') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/delicious.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('facebook') != '') : ?>
						<li><a target="_blank" class="icon_facebook" title="Facebook" href="<?php echo $this->params->get('facebook') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/facebook-logo.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('rss') != '') : ?>
						<li><a target="_blank" class="icon_rss" title="RSS" href="<?php echo $this->params->get('rss') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/rss-badge.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('linkedin') != '') : ?>
						<li><a target="_blank" class="icon_linkedin" title="Linkedin" href="<?php echo $this->params->get('linkedin') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/linkedin-logo.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('myspace') != '') : ?>
						<li><a target="_blank" class="icon_myspace" title="Myspace" href="<?php echo $this->params->get('myspace') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/myspace-logo.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('yahoo') != '') : ?>
						<li><a target="_blank" class="icon_yahoo" title="Yahoo" href="<?php echo $this->params->get('yahoo') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/yahoo.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('google') != '') : ?>
						<li><a target="_blank" class="icon_google" title="Google" href="<?php echo $this->params->get('google') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/google-g-logo.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('flickr') != '') : ?>
						<li><a target="_blank" class="icon_flickr" title="Flickr" href="<?php echo $this->params->get('flickr') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/flickr.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('youtube') != '') : ?>
						<li><a target="_blank" class="icon_youtube" title="Youtube" href="<?php echo $this->params->get('youtube') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/you-tube1.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('vimeo') != '') : ?>
						<li><a target="_blank" class="icon_vimeo" title="Vimeo" href="<?php echo $this->params->get('vimeo') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/vimeo.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('digg') != '') : ?>
						<li><a target="_blank" class="icon_digg" title="Digg" href="<?php echo $this->params->get('digg') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/digg.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('picasa') != '') : ?>
						<li><a target="_blank" class="icon_picasa" title="Picasa" href="<?php echo $this->params->get('picasa') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/picasa.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('stumbleupon') != '') : ?>
						<li><a target="_blank" class="icon_stumbleupon" title="Stumbleupon" href="<?php echo $this->params->get('stumbleupon') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_social_icons ; ?>/stumbleupon.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('technorati') != '') : ?>
						<li><a target="_blank" class="icon_technorati" title="Technorati" href="<?php echo $this->params->get('technorati') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_theme ; ?>/technorati-logo.png" alt="" /></a></li>
						<?php endif; ?>
						<?php if ($this->params->get('tumblr') != '') : ?>
						<li><a target="_blank" class="icon_tumblr" title="Tumblr" href="<?php echo $this->params->get('tumblr') ?>"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/social-icons-<?php echo $color_theme ; ?>/tumblr.png" alt="" /></a></li>
						<?php endif; ?>


					</ul>
				</div> 			<!-- 	end of Website icons 		-->
				<?php endif; ?>

			</section>			<!--				End of main menu 		-->

			<?php if($this->countModules('translate')) : ?>
			<div id="translate">
				<jdoc:include type="modules" name="translate" style="joomspirit" />
			</div>
			<?php endif; ?>

		</header>			<!-- 		End of header			-->

		<?php if(! $this->countModules('no_content')) : ?>
		<section class="website-content zindex10" style="background-color : #<?php if ( $bgcolor_content_ie =='' ) { echo $bgcolor_content ;} else { echo $bgcolor_content_ie ; } ?>;background-color : <?php echo $rgba_content ; ?>;" >


			<?php if($this->countModules('top')) : ?>
			<aside class="top-module-position" role="complementary" >
				<jdoc:include type="modules" name="top" style="joomspirit" />
			</aside>
			<?php endif; ?>

			<?php if($this->countModules('left')) : ?>
			<aside class="left_column <?php if ( $column_responsive == 'yes' && $responsive == 'yes' ) : ?>visible-desktop<?php endif; ?>" role="complementary" >
				<jdoc:include type="modules" name="left" style="joomspirit" />
			</aside>
			<?php endif; ?>


			<!--  REMOVED by LyriC -->
			<?php //if($this->countModules('right')) : ?>
			<!--aside class="right-module-position <?php //if ( $column_responsive == 'yes' && $responsive == 'yes' ) : ?>visible-desktop<?php //endif; ?>" role="complementary" -->
				<!--jdoc:include type="modules" name="right" style="joomspirit" /-->
			<!--/aside-->
			<?php //endif; ?>
			<!--  END REMOVED by LyriC -->


			<!--  ADDED by LyriC -->
			<?php if(!$isMobile) : ?>
				<?php if($this->countModules('right')) : ?>
				<aside class="right-module-position" role="complementary" >
					<jdoc:include type="modules" name="right" style="joomspirit" />
				</aside>
				<?php endif; ?>
			<?php endif; ?>
			<!--  END ADDED by LyriC -->


			<!--  MAIN COLUMN -->
			<div class="main_content clearfix">

				<!--  USER 1, 2, 3 -->
				<?php if($this->countModules('user1') || $this->countModules('user2') || $this->countModules('user3')) : ?>
				<aside class="users_top clearfix" role="complementary" >

					<?php if($this->countModules('user1')) : ?>
					<div class="user1" <?php echo ('style="width:'.$user1_width.'%;"');?>>
						<jdoc:include type="modules" name="user1" style="joomspirit" />
					</div>
					<?php endif; ?>

					<?php if($this->countModules('user3')) : ?>
					<div class="user3" <?php echo ('style="width:'.$user3_width.'%;"');?>>
						<jdoc:include type="modules" name="user3" style="joomspirit" />
					</div>
					<?php endif; ?>

					<?php if($this->countModules('user2')) : ?>
					<div class="user2">
						<jdoc:include type="modules" name="user2" style="joomspirit" />
					</div>
					<?php endif; ?>

				</aside>
				<?php endif; ?>  <!--	END OF USERS TOP	-->

				<div class="main_component" role="main">

					<!--  MAIN COMPONENT -->
					<jdoc:include type="message" />
					<jdoc:include type="component" />

					<?php if ($this->countModules( 'search' )) : ?>
					<div id="search">
						<jdoc:include type="modules" name="search" style="joomspirit" />
					</div>
					<?php endif; ?>

					<?php if($this->countModules('breadcrumb')) : ?>
					<nav class="breadcrumb" role="navigation">
						<jdoc:include type="modules" name="breadcrumb" style="xhtml" />
					</nav>
					<?php endif; ?>

				</div>

				<!--  USER 4, 5, 6 -->
				<?php if($this->countModules('user4') || $this->countModules('user5') || $this->countModules('user6')) : ?>
				<aside class="users_bottom clearfix" role="complementary" >

					<?php if($this->countModules('user4')) : ?>
					<div class="user4" <?php echo ('style="width:'.$user4_width.'%;"');?>>
						<jdoc:include type="modules" name="user4" style="joomspirit" />
					</div>
					<?php endif; ?>

					<?php if($this->countModules('user6')) : ?>
					<div class="user6" <?php echo ('style="width:'.$user6_width.'%;"');?>>
						<jdoc:include type="modules" name="user6" style="joomspirit" />
					</div>
					<?php endif; ?>

					<?php if($this->countModules('user5')) : ?>
					<div class="user5">
						<jdoc:include type="modules" name="user5" style="joomspirit" />
					</div>
					<?php endif; ?>

				</aside>
				<?php endif; ?>  <!--	END OF USERS BOTTOM	-->

				<div class="clr"></div>

			</div>	  <!--	END OF MAIN CONTENT 	-->

			<?php if($this->countModules('bottom')) : ?>
			<aside class="bottom-module-position" role="complementary" >
				<jdoc:include type="modules" name="bottom" style="joomspirit" />
			</aside>
			<?php endif; ?>

			<?php if( ($this->countModules('left')) && ($column_responsive == 'yes') && ($responsive == 'yes') ) : ?> 				<!-- Left and right column are duplicate to modify the order on mobiles devices 	-->
			<aside class="left_column hidden-desktop" role="complementary" >
				<jdoc:include type="modules" name="left" style="joomspirit" />
			</aside>
			<?php endif; ?>


			<!--  REMOVED by LyriC -->
			<?php //if( ($this->countModules('right')) && ($column_responsive == 'yes') && ($responsive == 'yes') ) : ?>
			<!--aside class="right-module-position hidden-desktop" role="complementary" -->
				<!--jdoc:include type="modules" name="right" style="joomspirit" /-->
			<!--/aside-->
			<?php //endif; ?>
			<!--END REMOVED by LyriC -->


			<!--  ADDED by LyriC -->
			<?php if($isMobile) : ?>
				<?php if( ($this->countModules('right')) && ($column_responsive == 'yes') && ($responsive == 'yes') ) : ?>
				<aside class="right-module-position hidden-desktop" role="complementary" >
					<jdoc:include type="modules" name="right" style="joomspirit" />
				</aside>
				<?php endif; ?>
			<?php endif; ?>
			<!--  END ADDED by LyriC -->


			<?php if( ($this->countModules( 'bottom_menu' )) || ($this->countModules( 'address' )) ) : ?>						<!--				footer			-->
			<footer class="website-footer zindex10 clearfix ">

				<!--	bottom nav	-->
				<?php if ($this->countModules( 'bottom_menu' )) : ?>
				<nav class="bottom_menu <?php if (! $this->countModules( 'address' )) : ?>without_address<?php endif ; ?>" role="navigation">
					<jdoc:include type="modules" name="bottom_menu" style="joomspirit" />
				</nav>
				<?php endif; ?>

				<?php if($this->countModules('address')) : ?>
				<div class="address <?php if (! $this->countModules( 'bottom_menu' )) : ?>without_bottom_menu<?php endif ; ?>">
					<jdoc:include type="modules" name="address" style="joomspirit" />
				</div>
				<?php endif; ?>

			</footer>						<!--			END OF WEBSITE-FOOTER 		-->
			<?php endif; ?>

		</section>							<!--			END OF WEBSITE CONTENT 		-->

		<div class="bg-corner-left"></div>
		<div class="bg-corner-right"></div>

		<?php endif; ?>						<!--			END OF condition for "no_content" position 		-->

	<?php if ($button_fullscreen == '1') : ?>
		<div id="close-button-js"></div>
	<?php endif; ?>



	</section>								<!--			END OF WEBSITE-WRAPPER		-->


	<?php if( $this->countModules('video') ) : ?>
		<jdoc:include type="modules" name="video" style="joomspirit" />
	<?php endif; ?>

	<?php if( $bg_supersized == '1' ) : ?>
		<div class="square-pattern"></div>
	<?php endif ; ?>

	<?php if ($button_fullscreen == '1') : ?>
	<div id="open-button-js"></div>
	<?php endif; ?>


	<!--	Supersized	Thumbnail Navigation  -->
	<?php if( ($this->countModules('supersized'))  && (! $this->countModules('google_map'))  && (! $this->countModules('video')) ) : ?>

		<div id="thumb-tray" class="load-item hide_function hidden-phone">
			<div id="thumb-back"></div>
			<div id="thumb-forward"></div>
		</div>

	<?php endif; ?>

	<!-- 	Supersized	Arrow Navigation		-->
	<?php if ($arrow_slide == '1') : ?>
	<a id="prevslide" class="load-item hide_function" ></a>
	<a id="nextslide" class="load-item hide_function" ></a>
	<?php endif; ?>

	<?php // Google Analytics Tracking Code
	if( $google_code ) {echo '<script type="text/javascript">'; echo $google_code; echo '</script>';}?>


	<?php if ( $scroll_to_top == 'yes' ) : ?>
		<div class="hidden-phone" id="toTop"><a id="toTopLink"><span class="icon-up"></span><span id="toTopText"> Back to top</span></a></div>
		<script type="text/javascript">
			jQuery(document).ready(function(){

					jQuery(window).scroll(function () {

						if (jQuery(this).scrollTop() > 200) {
							jQuery("#toTop").fadeIn();
						}
						else {
							jQuery("#toTop").fadeOut();
						}
					});

					jQuery("#toTop").click(function() {
						jQuery("html, body").animate({ scrollTop: 0 }, "slow");
						 return false;
					});
			});
		</script>
	<?php endif ; ?>

	<?php if ($google1 == 'yes') : ?>
	<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
	<?php endif; ?>


</body>
</html>
